Bug 1268707 - python-psutil-4.3.0 is available
python-psutil-4.3.0 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-psutil (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Infrastructure SIG
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-04 20:15 EDT by Upstream Release Monitoring
Modified: 2016-07-29 20:09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-29 20:09:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 3.2.2 (#1268707) (973 bytes, patch)
2015-10-04 20:16 EDT, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 3.3.0 (#1268707) (1015 bytes, patch)
2015-11-25 19:27 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 3.4.1 (#1268707) (1015 bytes, patch)
2016-01-15 19:16 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 3.4.2 (#1268707) (1015 bytes, patch)
2016-01-20 19:17 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 4.0.0 (#1268707) (1013 bytes, patch)
2016-02-17 19:20 EST, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (7.53 KB, patch)
2016-03-12 19:17 EST, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.22 KB, patch)
2016-05-15 08:21 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.22 KB, patch)
2016-06-18 20:18 EDT, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2015-10-04 20:15:55 EDT
Latest upstream release: 3.2.2
Current version/release in rawhide: 1.2.1-1.el7
URL: https://pypi.python.org/pypi/psutil

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-10-04 20:16:12 EDT
Created attachment 1079801 [details]
[patch] Update to 3.2.2 (#1268707)
Comment 2 Upstream Release Monitoring 2015-10-04 20:19:45 EDT
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11329329
Comment 3 Upstream Release Monitoring 2015-11-25 19:26:50 EST
Latest upstream release: 3.3.0
Current version/release in rawhide: 1.2.1-1.el7
URL: https://pypi.python.org/pypi/psutil

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 4 Upstream Release Monitoring 2015-11-25 19:27:06 EST
Created attachment 1099032 [details]
[patch] Update to 3.3.0 (#1268707)
Comment 5 Upstream Release Monitoring 2015-11-25 19:34:30 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11981256
Comment 6 Ralph Bean 2015-11-30 13:52:36 EST
FWIW, I tried building 3.3.0 and one of the test cases is failing, complaining about memory leaks.
Comment 7 Upstream Release Monitoring 2016-01-15 19:16:08 EST
Latest upstream release: 3.4.1
Current version/release in rawhide: 1.2.1-1.el7
URL: https://pypi.python.org/pypi/psutil

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 8 Upstream Release Monitoring 2016-01-15 19:16:25 EST
Created attachment 1115350 [details]
[patch] Update to 3.4.1 (#1268707)
Comment 9 Upstream Release Monitoring 2016-01-15 19:22:30 EST
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12567382
Comment 10 Upstream Release Monitoring 2016-01-20 19:16:49 EST
Latest upstream release: 3.4.2
Current version/release in rawhide: 1.2.1-1.el7
URL: https://pypi.python.org/pypi/psutil

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 11 Upstream Release Monitoring 2016-01-20 19:17:07 EST
Created attachment 1116749 [details]
[patch] Update to 3.4.2 (#1268707)
Comment 12 Upstream Release Monitoring 2016-01-20 19:24:47 EST
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12626185
Comment 13 Upstream Release Monitoring 2016-02-17 19:19:58 EST
Latest upstream release: 4.0.0
Current version/release in rawhide: 2.2.1-1.el7
URL: https://pypi.python.org/pypi/psutil

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 14 Upstream Release Monitoring 2016-02-17 19:20:14 EST
Created attachment 1128091 [details]
[patch] Update to 4.0.0 (#1268707)
Comment 15 Upstream Release Monitoring 2016-02-17 19:22:52 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13027883
Comment 16 Upstream Release Monitoring 2016-03-12 19:17:10 EST
Latest upstream release: 4.1.0
Current version/release in rawhide: 2.2.1-1.el7
URL: https://pypi.python.org/pypi/psutil

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 17 Upstream Release Monitoring 2016-03-12 19:17:26 EST
Patching or scratch build for python-psutil and version 2.2.1 FAILED.
See for details
Comment 18 Upstream Release Monitoring 2016-03-12 19:17:28 EST
Created attachment 1135751 [details]
Rebase-helper rebase-helper-debug.log log file.
 See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 19 Upstream Release Monitoring 2016-03-12 19:17:29 EST
Patches were not touched. All were applied properly
Comment 20 Fedora Admin XMLRPC Client 2016-04-04 16:31:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 21 Kevin Fenzi 2016-04-10 14:13:33 EDT
4.1.0 fails to build in tests:

...
/usr/bin/python2 psutil/tests/test_memory_leaks.py
Traceback (most recent call last):
  File "psutil/tests/test_memory_leaks.py", line 21, in <module>
    import psutil
  File "/builddir/build/BUILD/psutil-4.1.0/psutil/__init__.py", line 803
SyntaxError: Non-ASCII character '\xe2' in file /builddir/build/BUILD/psutil-4.1.0/psutil/__init__.py on line 804, but no encoding declared; see http://python.org/dev/peps/pep-0263/ for details
Makefile:75: recipe for target 'test-memleaks' failed
make: *** [test-memleaks] Error 1
...

That line is a comment with a | in it.
Comment 22 Upstream Release Monitoring 2016-05-15 08:21:07 EDT
Latest upstream release: 4.2.0
Current version/release in rawhide: 2.2.1-1.el7
URL: https://pypi.python.org/pypi/psutil

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3978/
Comment 23 Upstream Release Monitoring 2016-05-15 08:21:31 EDT
Patching or scratch build for python-psutil-2.2.1 failed.
Comment 24 Upstream Release Monitoring 2016-05-15 08:21:34 EDT
Created attachment 1157658 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 25 Upstream Release Monitoring 2016-05-15 08:21:36 EDT
Patches were not touched. All were applied properly
Comment 26 Orion Poplawski 2016-05-16 14:17:25 EDT
Mentioned upstream here https://github.com/giampaolo/psutil/issues/804
Comment 27 Upstream Release Monitoring 2016-06-18 20:17:52 EDT
Latest upstream release: 4.3.0
Current version/release in rawhide: 2.2.1-1.el7
URL: https://github.com/giampaolo/psutil

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3978/
Comment 28 Upstream Release Monitoring 2016-06-18 20:18:19 EDT
Patching or scratch build for python-psutil-2.2.1 failed.
Comment 29 Upstream Release Monitoring 2016-06-18 20:18:21 EDT
Created attachment 1169449 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 30 Upstream Release Monitoring 2016-06-18 20:18:23 EDT
Patches were not touched. All were applied properly
Comment 31 Upstream Release Monitoring 2016-06-21 19:05:11 EDT
orion's python-psutil-4.3.0-1.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=774564
Comment 32 Upstream Release Monitoring 2016-07-19 08:38:09 EDT
releng's python-psutil-4.3.0-2.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=783003
Comment 33 Kevin Fenzi 2016-07-29 20:09:00 EDT
This looks resolved now. ;) Closing.

Note You need to log in before you can comment on or make changes to this bug.